Checkout Details
curl --request GET \
--url https://nini.monieswitch.com/checkout/info \
--header 'Authorization: Bearer <token>'import requests
url = "https://nini.monieswitch.com/checkout/info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nini.monieswitch.com/checkout/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"info": {
"id": "d15003df-e6fc-4c18-9d30-44821c8173ae",
"email": "[email protected]",
"amount": 2000,
"status": "COMPLETED",
"reference": "9jHRduHKPNnVMBuOsDrmRvOpr4prQN1PHgnM",
"hasPaid": true,
"createdAt": "2024-07-31T12:29:15.975Z",
"charges": 130,
"subaccountId": "f16aee43-f1d5-43d7-8f0f-29acf85202bd",
"payableAmount": 2000,
"subaccountShare": 1950,
"subaccountSettlement": 1820,
"transaction": {
"narration": "Testing",
"reference": "t78Tl5WIePPS3XQ8PqK0z9ZpxE1CQwUTVhzy",
"amountPaid": 2000,
"checkoutId": "d15003df-e6fc-4c18-9d30-44821c8173ae",
"paymentMethod": "Bank Transfer",
"subaccountShare": 0,
"customerMetadata": {
"hello": "World"
},
"mainAccountShare": 1870,
"isCheckoutAccount": true,
"originatorBankCode": "999270",
"originatorBankName": "JUJU Test Bank",
"beneficiaryBankCode": "999270",
"beneficiaryBankName": "XpressWallet",
"subaccountSettlement": 0,
"mainAccountSettlement": 1870,
"originatorAccountName": "Emmanuel",
"beneficiaryAccountName": "Neyosoft",
"originatorAccountNumber": "0167421242",
"beneficiaryAccountNumber": "4491005627",
"originatorBankVerificationNumber": "",
"beneficiaryBankVerificationNumber": "",
"id": "7785a761-ebe0-48a0-9415-75e38e6c9a06",
"vat": 0,
"mode": "SANDBOX",
"type": "CREDIT",
"amount": 2000,
"paidAt": "2024-07-31T12:52:27.879Z",
"status": "SUCCESS",
"charges": 130,
"category": "BANK_FUNDING",
"walletId": "04457034-ecfa-4a45-9043-e604744e2643",
"createdAt": "2024-07-31T12:52:28.746Z",
"deletedAt": null,
"sessionId": "999270240731135227374687071748",
"updatedAt": "2024-07-31T12:53:29.079Z",
"merchantId": "1f18305f-851a-4266-bdc6-6fc1525928cf",
"walletType": "DYNAMIC",
"description": "₦2,000.00 received from Emmanuel",
"settledAmount": 1870,
"isServiceAccount": false,
"externalReference": "t78Tl5WIePPS3XQ8PqK0z9ZpxE1CQwUTVhzy",
"isMerchantAccount": false,
"externalTransactionId": null
},
"mainAccountShare": 50,
"mainAccountSettlement": 50,
"paymentMethod": "Bank Transfer",
"customerName": "Emmanuel"
}
}
}Checkout
Checkout Details
GET
/
checkout
/
info
Checkout Details
⌘I